body{
    background-color: #404040;
    color: #eeeeee;
    margin: 0;
    padding: 0;
    max-width: 100vw;
    overflow-x: hidden;
    font-family: Arial, Helvetica, sans-serif;
}

p{
    margin: 0;
}

h1, h2, h3, h4, h5, h6{
    margin: 0;
}

.flex-row{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 5px;
    padding: 5px;
}

.flex-column{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    padding: 5px;
}

.flex-wrap{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 5px;
}

.grid-wrap{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 10px;
    justify-content: center;
}

.abutton{
    padding: 10px;
    background-color: #505050;
    color: #ffffff;
    text-align: center;
    border-radius: 5px;
    text-decoration: none;
    width: 100%;
    box-sizing: border-box;
    transition: background-color 0.25s ease-in-out;
}

.abutton:hover{
    background-color: #808080;
}

.liveanim{
    animation: live-anim 2.5s linear infinite;
}

@keyframes live-anim{
    0%, 100%{
        background-color: #0045ad;
    }
    50%{
        background-color: #63a2ff;
    }
}

.subsite{
    z-index: 10000;
    position: fixed;
    top: 0;
    bottom: 0px;
    right: 0;
    gap: 15px;
    padding-left: 10px;
    width: 95vw;
    max-width: 600px;
    background-color: #404040;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    -webkit-box-shadow: -5px 0px 15px 5px rgba(0,0,0,0.3); 
    box-shadow: -5px 0px 20px 5px rgba(0,0,0,0.6);
    transition: all 0.25s ease-in-out;
}

.subsite[hidden]{
    opacity: 0;
    transform: translateX(110vw);
}

.subsite-content{
    max-height: 80vh;
    max-height: 80vh;
    flex-grow: 1;
}